
import httprequest from "/@/request/index";
import {INodeList, NodeAddParam, NodeinfoParam, NodeItme, NodeItmeData, TaskNode} from "/@/model/node"
import {LoginRet} from "/@/model/login";
import {PingConfig} from "/@/model/pingconfig";
import {NodeConfigData, NodeData} from "/@/model/nodeconfig";
import {TaskLogData} from "/@/model/tasklog";





// 用户登录
export const nodeReqUse = (params: NodeinfoParam ) => {
    // 返回的数据格式可以和服务端约定
    return httprequest.get<NodeData>('api/v1/node/all', params);
}

// 添加节点
export const nodeAddReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/node/add",params)
}

// 删除节点
export const delNodeReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/node/del",params)
}


// 编辑节点
export const editNodeReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/node/edit",params)
}


// 开启Ping任务
export const startNodeReqUse = (params : any) => {
    return httprequest.post<TaskNode>("api/v1/node/start",params)
}

// 停止任务
export const stopNodeReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/node/stop",params)
}

// 查看任务状态
export const taskNodeReqUse = (params : any) => {
    return httprequest.get<TaskNode>("api/v1/node/task",params)
}

// 查看节点PING状态
export const nodeStatusReqUse = (params : any) => {
    return httprequest.get<NodeItmeData>("api/v1/node/nodestatus",params)
}


//登录
export const loginReqUse = (params : any) => {
    return httprequest.post<LoginRet>("api/v1/auth/login",params)
}

//登录退出
export const loginOutReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/auth/loginout",params)
}



//获取PING配置
export const pingConfigReqUse = (params : any) => {
    return httprequest.get<PingConfig>("api/v1/ping/config/get",params)
}


//获取PING配置
export const pingConfigEditReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/ping/config/edit",params)
}

//获取全部nodeconfig配置
export const nodeConfigGetALLReqUse = (params : any) => {
    return httprequest.get<NodeConfigData>("api/v1/node/config/all",params)
}

//编辑nodeconfig配置
export const nodeConfigEditALLReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/node/config/edit",params)
}

//删除
export const nodeConfigDeleteALLReqUse = (params : any) => {
    return httprequest.post<any>("api/v1/node/config/del",params)
}

//获取任务日志
export const taskLogReqUse = (params : any) => {
    return httprequest.get<TaskLogData>("api/v1/task/log/get",params)
}