import { createApp } from 'vue'
import './style.css'
import Antd from 'ant-design-vue'; // 引入组件库
import 'ant-design-vue/dist/antd.css'; // 引入antdv组件库的css文件

import router from './router'
import App from './App.vue'
//import App from './view/index/index.vue'
import axios from '/@/request/index'

import * as AntIcons from '@ant-design/icons-vue'


//用于解决全局变量无法找到问题
declare module '@vue/runtime-core' {
    interface ComponentCustomProperties {
        $antIcons: any;
    }
}
 
const app = createApp(App)

const antIconsList:any = AntIcons

for (const key in antIconsList){
    app.component(key,antIconsList[key])
}

//app.provide("antIcons",antIcons);//全局图片地址
app.config.globalProperties.$antIcons = AntIcons

app.use(Antd)
app.use(router)

app.mount("#app")