import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router'
import HelloWorld from '/@/components/HelloWorld.vue'
import Home from '/@/view/index/index.vue'
import Node from '/@/view/node/index.vue'
import NodeConfig from '/@/view/node/nodeconfig.vue'
import Task from '/@/view/task/index.vue'
import Login from '/@/view/login/login.vue'
import Main from "/@/view/main.vue";
import PingConfig from "/@/view/config/index.vue";
import Syslog from "/@/view/syslog/index.vue";

const routes: Array<RouteRecordRaw> = [

    {
        path: '/',
        name: 'index',
        component: Main
    },
    {
        path:'/login',
        name: 'login',
        component:Login
    },

    {
        path: '/main',
        name: 'main',
        component: Main,
        redirect: '/home',
        children: [
            {
                path: '/home',
                name: 'home',
                component: Home
            },
            {
                path: '/syslog',
                name: 'syslog',
                component: Syslog
            },
            {
                path:'/node',
                name: 'node',
                component:Node
            },
            {
                path:'/pingconfig',
                name: 'pingconfig',
                component: PingConfig
            },
            {
                path:'/task',
                name: 'task',
                component:Task
            },
            {
                path:'/nodeconfig',
                name: 'nodeconfig',
                component:NodeConfig
            }
        ]
    }
]
const router = createRouter({ history: createWebHashHistory(), routes })
export default router


router.beforeEach((to, from, next) => {
    // 获取 token

    if (to.path == '/login'){
        next()
    } else {
        const token = localStorage.getItem('token')
        if (token !== null && token !== '') {
            if (to.path === '/')
            {
                next('/main')
            }
            else {
                next()
            }
        } else {
            next('/login')
        }
    }


    // // 如果有token
    // if (token !== null && token !== '') {
    //     // 带有token访问登录页面跳转至主页
    //     if (to.path === '/main') {
    //         console.log(token)
    //         next()
    //     } else {
    //         // 带有token访问其他页面允许跳转
    //         next()
    //     }
    // } else {
    //     // 没有token
    //     // 没有token访问登录页面允许
    //     if (to.path === '/login') {
    //         next()
    //     } else {
    //         // 没有token访问其他页面跳转至登录页面
    //         next({
    //             path: '/login',
    //             query: { redirect: to.fullPath }
    //         })
    //     }
    // }
})
